/*
 * other.c
 * tables to interpret fm "#" convention for letter variants
 * Greg Lee, 9/01
 */
#include "fm.h"

unsigned char other[128][6] = {
/* ^@ = '000 */	{ 0, 0, 0, 0, 0, 0 },
/* ^A = '001 */	{ 1, 1, 1, 1, 1, 1 },
/* ^B = '002 */	{ 2, 2, 2, 2, 2, 2 },
/* ^C = '003 */	{ 3, 3, 3, 3, 3, 3 },
/* ^D = '004 */	{ 4, 4, 4, 4, 4, 4 },
/* ^E = '005 */	{ 5, 5, 5, 5, 5, 5 },
/* ^F = '006 */	{ 6, 6, 6, 6, 6, 6 },
/* ^G = '007 */	{ 7, 7, 7, 7, 7, 7 },
/* ^H = '010 */	{ 8, 8, 8, 8, 8, 8 },
/* ^I = '011 */	{ 9, 9, 9, 9, 9, 9 },
/* ^J = '012 */	{ 10, 10, 10, 10, 10, 10 },
/* ^K = '013 */	{ 11, 11, 11, 11, 11, 11 },
/* ^L = '014 */	{ 12, 12, 12, 12, 12, 12 },
/* ^M = '015 */	{ 13, 13, 13, 13, 13, 13 },
/* ^N = '016 */	{ 14, 14, 14, 14, 14, 14 },
/* ^O = '017 */	{ 15, 15, 15, 15, 15, 15 },
/* ^P = '020 */	{ 16, 16, 16, 16, 16, 16 },
/* ^Q = '021 */	{ 17, 17, 17, 17, 17, 17 },
/* ^R = '022 */	{ 18, 18, 18, 18, 18, 18 },
/* ^S = '023 */	{ 19, 19, 19, 19, 19, 19 },
/* ^T = '024 */	{ 20, 20, 20, 20, 20, 20 },
/* ^U = '025 */	{ 21, 21, 21, 21, 21, 21 },
/* ^V = '026 */	{ 22, 22, 22, 22, 22, 22 },
/* ^W = '027 */	{ 23, 23, 23, 23, 23, 23 },
/* ^X = '030 */	{ 24, 24, 24, 24, 24, 24 },
/* ^Y = '031 */	{ 25, 25, 25, 25, 25, 25 },
/* ^Z = '032 */	{ 26, 26, 26, 26, 26, 26 },
/* ^[ = '033 */	{ 27, 27, 27, 27, 27, 27 },
/* ^\ = '034 */	{ 28, 28, 28, 28, 28, 28 },
/* ^] = '035 */	{ 29, 29, 29, 29, 29, 29 },
/* ^^ = '036 */	{ 30, 30, 30, 30, 30, 30 },
/* ^_ = '037 */	{ 31, 31, 31, 31, 31, 31 },
/*   = '040 */	{ ' ', ' ', ' ', ' ', ' ', ' ' },
/* ! = '041 */	{ 92 /* rev. apostrophe */, '!', '!', '!', '!', '!' },
/* " = '042 */	{ 4 /* accent umlaut */, '"', '"', '"', '"', '"' },
/* # = '043 */	{ '#', '#', '#', '#', '#', '#' },
/* $ = '044 */	{ 126 /* rhoticity */, '$', '$', '$', '$', '$' },
/* % = '045 */	{ '%', '%', '%', '%', '%', '%' },
/* & = '046 */	{ 34, '&', '&', '&', '&', '&' },
/* ' = '047 */	{ 1 /* accent acute */, 15 /* accent subscript acute */,
		5 /* accent double acute */, '\'', '\'', '\'' },
/* ( = '050 */	{ 16 /* subsc. arch */, 21 /* subsc. left half-ring */,
		62 /* accent top tie bar */, '(', '(', '(' },
/* ) = '051 */	{ ')', 20 /* subsc. right half-ring */,
		60 /* accent bottom tie bar */, ')', ')', ')' },
/* * = '052 */	{ 19 /* subscript square */, 191 /* rectangle */, '*', '*', '*', '*' },
/* + = '053 */	{ 27 /* subsc. plus */, '+', '+', '+', '+', '+' },
/* , = '054 */	{ 37 /* accent palatalization hook */, 186 /* soft sign */,
		130 /* celtic palatalization */, 132 /* pal. hook long */, 133 /* pal. hook var. */, ',' },
/* - = '055 */	{ 94 /* corner */, '-', '-', '-', '-', '-' },
/* . = '056 */	{ 10 /* accent dot */, 159 /* accent dot acute */,
		187 /* hard sign */,
		'.', '.', '.' },
/* / = '057 */	{ 35 /* accent hooktop */, '/', '/', '/', '/', '/' },
/* 0 = '060 */	{ 6 /* accent ring */, '0', '0', '0', '0', '0' },
/* 1 = '061 */	{ 128 /* syllabicity/strss */, '1', '1', '1', '1', '1' },
/* 2 = '062 */	{ 129 /* secondary stress */, 200 /* baby gamma */, '2', '2', '2', '2' },
/* 3 = '063 */	{ 198 /* closed reversed epsilon */,
		199 /* right-hook reversed epsilon */,
		197 /* closed epsilon */, '3', '3', '3' },
/* 4 = '064 */	{ '4', '4', '4', '4', '4', '4' },
/* 5 = '065 */	{ '5', '5', '5', '5', '5', '5' },
/* 6 = '066 */	{ '6', '6', '6', '6', '6', '6' },
/* 7 = '067 */	{ '7', '7', '7', '7', '7', '7' },
/* 8 = '070 */	{ '8', '8', '8', '8', '8', '8' },
/* 9 = '071 */	{ '9', '9', '9', '9', '9', '9' },
/* : = '072 */	{ ':', ':', ':', ':', ':', ':' },
/* ; = '073 */	{ 36 /* accent right hook */, 131 /* right hook long */, ';', ';', ';', ';' },
/* < = '074 */	{ 28 /* accent raising sign */, 189 /* left pointer */,
		149 /* up arrow */, 150 /* upward diagonal arrow */,
		'<', '<' },
/* = = '075 */	{ 9 /* accent macron */,
		152 /* accent macron acute ligature */, '=', '=', '=', '=' },
/* > = '076 */	{ 29 /* accent lowering sign */, 190 /* right pointer */,
		148 /* downarrow */, 151 /* downward diagonal arrow */,
		'>', '>' },
/* ? = '077 */	{ 'P', 'Q', 188 /* raised (red.) */,
		220 /* barred (red.) */, 142 /* curly-tail inv. */, '?' },
/* @ = '100 */	{ 196 /* right hook */, '@', '@', '@', '@', '@' },
/* A = '101 */	{ 192 /* sc */, 'A', 'A', 'A', 'A', 'A' },
/* B = '102 */	{ 224 /* sc */, 160 /* crossed b */, 'B', 'B', 'B', 'B' },
/* C = '103 */	{ 194 /* stretched */, 'C', 'C', 'C', 'C', 'C' },
/* D = '104 */	{ 'D', 161 /* crossed d */, 'D', 'D', 'D', 'D' },
/* E = '105 */	{ 164 /* sc */, 197 /* closed epsilon */,
		198 /* closed reversed epsilon */,
		199 /* right-hook reversed */, 'E', 'E' },
/* F = '106 */	{ 'F', 'F', 'F', 'F', 'F', 'F' },
/* G = '107 */	{ 229 /* sc */, 201 /* hooktop sc */, 200 /* baby gamma */,
		'G', 'G', 'G' },
/* H = '110 */	{ 203 /* sc */, 232 /* crossed h */, 'H', 'H', 'H', 'H' },
/* I = '111 */	{ 73 /* sc (red.) */, 204 /* iota */, 'I', 'I', 'I', 'I' },
/* J = '112 */	{ 168 /* sc */, 'J', 'J', 'J', 'J', 'J' },
/* K = '113 */	{ 'K', 'K', 'K', 'K', 'K', 'K' },
/* L = '114 */	{ 207 /* sc */, 171 /* lambda */, 172 /* crossed lambda */, 'L', 'L', 'L' },
/* M = '115 */	{ 'M', 'M', 'M', 'M', 'M', 'M' },
/* N = '116 */	{ 240 /* sc */, 'N', 'N', 'N', 'N', 'N' },
/* O = '117 */	{ 177 /* sc omega */, 176 /* omega */, 209 /* closed omega */,
		215 /* small cap o-e ligature (red.) */, 127 /* inv. omega */, 'O' },
/* P = '120 */	{ 188 /* raised glottal stop */, 220 /* barred glottal stop */,
		'P', 'P', 'P', 'P' },
/* Q = '121 */	{ 145 /* turned glottal stop */, 221 /* barred reversed glottal stop */,
		219 /* inverted glottal stop */, 'Q', 'Q', 'Q' },
/* R = '122 */	{ 246 /* sc */, 'R', 'R', 'R', 'R', 'R' },
/* S = '123 */	{ 178 /* curly-tail esh */, 202 /* hooktop heng */,
		217 /* t-esh ligature */, 140 /* looptop rev. esh */, 'S', 'S' },
/* T = '124 */	{ 254 /* thorn */, 217 /* t-esh ligature */, 181 /* t-s ligature */, 'T', 'T', 'T' },
/* U = '125 */	{ 218 /* sc */, 'U', 'U', 'U', 'U', 'U' },
/* V = '126 */	{ 'V', 'V', 'V', 'V', 'V', 'V' },
/* W = '127 */	{ 'W', 'W', 'W', 'W', 'W', 'W' },
/* X = '130 */	{ 'X', 'X', 'X', 'X', 'X', 'X' },
/* Y = '131 */	{ 89 /* sc (red.) */, 'Y', 'Y', 'Y', 'Y', 'Y' },
/* Z = '132 */	{ 184 /* curly-tail */, 185 /* reversed */,
		208 /* l-yogh ligature */, 195 /* d-yogh ligature */,
		173 /* old l-yogh ligature */, 'Z' },
/* [ = '133 */	{ 17 /* subsc. bridge */, '[', '[', '[', '[', '[' },
/* \ = '134 */	{ 95 /* open corner */, '\\', '\\', '\\', '\\', '\\' },
/* ] = '135 */	{ 18 /* inverted subsc. bridge */, ']', ']', ']', ']', ']' },
/* ^ = '136 */	{ 2 /* accent circumflex */,
		155 /* accent circumflex acute ligature */, '^', '^', '^', '^' },
/* _ = '137 */	{ 32, '_', '_', '_', '_', '_' },
/* ` = '140 */	{ 0 /* accent grave */, 14 /* accent subscript grave */,
		13 /* accent double grave */,
		158 /* accent grave dot */,
		153 /* accent grave macron ligature */,
		154 /* accent grave wedge ligature */ },
/* a = '141 */	{ 230 /* ash (red.) */, 141 /* inverted script a */, 'a', 'a', 'a', 'a' },
/* b = '142 */	{ 160 /* crossed (red.) */, 225 /* hooktop */, 'b', 'b',
		'b', 'b' },
/* c = '143 */	{ 11 /* accent cedilla */, 193 /* hooktop */,
		175 /* turned c-e ligature */,
		231 /* c cedilla */, 'c', 'c' },
/* d = '144 */	{ 227 /* right-tail */, 226 /* hooktop */,
		162 /* curly-tail */, 161 /* crossed (red.) */, 163 /* hooktop right-tail d */, 'd' },
/* e = '145 */	{ 'e', 'e', 'e', 'e', 'e', 'e' },
/* f = '146 */	{ 'f', 'f', 'f', 'f', 'f', 'f' },
/* g = '147 */	{ 165 /* text */, 228 /* hooktop */, 'g', 'g', 'g', 'g' },
/* h = '150 */	{ 255 /* h-v ligature */, 232 /* crossed (red.) */, 138 /* h-m ligature */, 137 /* heng */, 136 /* right tail hooktop h */, 'h' },
/* i = '151 */	{ 25 /* dotless i */, 167 /* viby */, 143 /* left-hooktop */, 166 /* left-hooktop long */,
		'i', 'i' },
/* j = '152 */	{ 26 /* dotless j */, 233 /* barred */, 234 /* hooktop barred */,
		205 /* old barred */, 'j', 'j' },
/* k = '153 */	{ 12 /* accent ogonek */, 206 /* hooktop */,
		169 /* turned */, 'k', 'k', 'k' },
/* l = '154 */	{ 237 /* right-tail */, 170 /* barred */,
		235 /* l with tilde */, 236 /* belted */, 'l', 'l' },
/* m = '155 */	{ 238 /* turned m, right leg */, 251 /* turned w (red.) */,
		'm', 'm', 'm', 'm' },
/* n = '156 */	{ 239 /* right-tail */, 174 /* curly-tail */,
		144 /* n, right leg */, 241 /* left-tail (at left) */, 'n', 'n' },
/* o = '157 */	{ 242 /* bull's eye */, 248 /* slashed (red.) */,
		247 /* o-e lig. (red.) */, 'o', 'o', 'o' },
/* p = '160 */	{ 223 /* wynn */, 210 /* hooktop */, 139 /* left hook p */, 'p', 'p', 'p' },
/* q = '161 */	{ 135 /* rev. ogonek */, 211 /* hooktop */, 'q', 'q', 'q', 'q' },
/* r = '162 */	{ 243 /* right-tail */, 212 /* long-leg */, 244 /* turned */,
		213 /* turned long-leg */, 245 /* turned, right tail */, 'r' },
/* s = '163 */	{ 249 /* right-tail */, 's', 's', 's', 's', 's' },
/* t = '164 */	{ 250 /* right-tail */, 214 /* hooktop */, 216 /* turned */,
		179 /* left-hook */, 180 /* curly-tail */, 't' },
/* u = '165 */	{ 8 /* accent breve */, 'u', 'u', 'u', 'u', 'u' },
/* v = '166 */	{ 7 /* accent wedge */, 'v', 'v', 'v', 'v', 'v' },
/* w = '167 */	{ 22 /* accent subscript w */, 'w', 251 /* turned */,
		'w', 'w', 'w' },
/* x = '170 */	{ 24 /* accent over-cross */, 'x', 'x', 'x', 'x', 'x' },
/* y = '171 */	{ 183 /* viby */, 182 /* left-hooktop long y */, 'y', 'y', 'y', 'y' },
/* z = '172 */	{ 252 /* right-tail */, 253 /* curly-tail */,
		222 /* comma-tail */, 'z', 'z', 'z' },
/* { = '173 */	{ 30 /* accent advancing */, 23 /* accent seagull */,
		'{', '{', '{', '{' },
/* | = '174 */	{ 156 /* accent vertical bar */,
		157 /* accent double vertical bar */,
		146 /* vertical line */,
		147 /* double vertical line */,
		123 /* double pipe */, '|' },
/* } = '175 */	{ 31 /* accent retracting */, 134 /* accent retracting var. */, '}', '}', '}', '}' },
/* ~ = '176 */	{ 3 /* accent tilde */, 38 /* accent superimposed tilde */,
		'~', '~', '~', '~' },
/* DEL = '177 */	{ 127, 127, 127, 127, 127, 127 }
};

int roman_other[128][6] = {
/* ^@ = '000 */	{ 0, 0, 0, 0, 0, 0 },
/* ^A = '001 */	{ 1, 1, 1, 1, 1, 1 },
/* ^B = '002 */	{ 2, 2, 2, 2, 2, 2 },
/* ^C = '003 */	{ 3, 3, 3, 3, 3, 3 },
/* ^D = '004 */	{ 4, 4, 4, 4, 4, 4 },
/* ^E = '005 */	{ 5, 5, 5, 5, 5, 5 },
/* ^F = '006 */	{ 6, 6, 6, 6, 6, 6 },
/* ^G = '007 */	{ 7, 7, 7, 7, 7, 7 },
/* ^H = '010 */	{ 8, 8, 8, 8, 8, 8 },
/* ^I = '011 */	{ 9, 9, 9, 9, 9, 9 },
/* ^J = '012 */	{ 10, 10, 10, 10, 10, 10 },
/* ^K = '013 */	{ 11, 11, 11, 11, 11, 11 },
/* ^L = '014 */	{ 12, 12, 12, 12, 12, 12 },
/* ^M = '015 */	{ 13, 13, 13, 13, 13, 13 },
/* ^N = '016 */	{ 14, 14, 14, 14, 14, 14 },
/* ^O = '017 */	{ 15, 15, 15, 15, 15, 15 },
/* ^P = '020 */	{ 16, 16, 16, 16, 16, 16 },
/* ^Q = '021 */	{ 17, 17, 17, 17, 17, 17 },
/* ^R = '022 */	{ 18, 18, 18, 18, 18, 18 },
/* ^S = '023 */	{ 19, 19, 19, 19, 19, 19 },
/* ^T = '024 */	{ 20, 20, 20, 20, 20, 20 },
/* ^U = '025 */	{ 21, 21, 21, 21, 21, 21 },
/* ^V = '026 */	{ 22, 22, 22, 22, 22, 22 },
/* ^W = '027 */	{ 23, 23, 23, 23, 23, 23 },
/* ^X = '030 */	{ 24, 24, 24, 24, 24, 24 },
/* ^Y = '031 */	{ 25, 25, 25, 25, 25, 25 },
/* ^Z = '032 */	{ 26, 26, 26, 26, 26, 26 },
/* ^[ = '033 */	{ 27, 27, 27, 27, 27, 27 },
/* ^\ = '034 */	{ 28, 28, 28, 28, 28, 28 },
/* ^] = '035 */	{ 29, 29, 29, 29, 29, 29 },
/* ^^ = '036 */	{ 30, 30, 30, 30, 30, 30 },
/* ^_ = '037 */	{ 31, 31, 31, 31, 31, 31 },
/*   = '040 */	{ ' ', ' ', ' ', ' ', ' ', ' ' },
/* ! = '041 */	{ 0xa1, 0xa1, '!', '!', '!', '!' },
/* " = '042 */	{ PS_dieresis, 0x308, '"', '"', '"', '"' },
/* # = '043 */	{ '#', '#', '#', '#', '#', '#' },
/* $ = '044 */	{ 0xa4, 0xa4, '$', '$', '$', '$' },
/* % = '045 */	{ 0xa2, 0xa2, PS_perthousand, 0x2030, '%', '%' },
/* & = '046 */	{ '&', '&', '&', '&', '&', '&' },
/* ' = '047 */	{ PS_acute, 0x301, PS_underacute, 0x317, '\'', '\'' },
/* ( = '050 */	{ '(', '(', '(', '(', '(', '(' },
/* ) = '051 */	{ ')', ')', ')', ')', ')', ')' },
/* * = '052 */	{ PS_dagger, 0x2020, PS_daggerdbl, 0x2021, '*', '*' },
/* + = '053 */	{ 0xb1, 0xb1, '+', '+', '+', '+' },
/* , = '054 */	{ ',', ',', ',', ',', ',', ',' },
/* - = '055 */	{ PS_stroke, 0x336, 0xad, 0xad, '-', '-' },
/* . = '056 */	{ PS_dotaccent, 0x307, PS_underdot, 0x323, '.', '.' },
/* / = '057 */	{ PS_slash, 0x337, 0xf7, 0xf7, '/', '/' },
/* 0 = '060 */	{ '0', '0', '0', '0', '0', '0' },
/* 1 = '061 */	{ 0xbc, 0xbc, '1', '1', '1', '1' },
/* 2 = '062 */	{ 0xbd, 0xbd, '2', '2', '2', '2' },
/* 3 = '063 */	{ 0xbe, 0xbe, '3', '3', '3', '3' },
/* 4 = '064 */	{ '4', '4', '4', '4', '4', '4' },
/* 5 = '065 */	{ '5', '5', '5', '5', '5', '5' },
/* 6 = '066 */	{ '6', '6', '6', '6', '6', '6' },
/* 7 = '067 */	{ '7', '7', '7', '7', '7', '7' },
/* 8 = '070 */	{ '8', '8', '8', '8', '8', '8' },
/* 9 = '071 */	{ '9', '9', '9', '9', '9', '9' },
/* : = '072 */	{ ':', ':', ':', ':', ':', ':' },
/* ; = '073 */	{ ';', ';', ';', ';', ';', ';' },
/* < = '074 */	{ 0xab, 0xab, '<', '<', '<', '<' },
/* = = '075 */	{ PS_macron, 0x304, PS_underline, 0x331, '=', '=' },
/* > = '076 */	{ 0xbb, 0xbb, '>', '>', '>', '>' },
/* ? = '077 */	{ '?', '?', '?', '?', '?', '?' },
/* @ = '100 */	{ '@', '@', '@', '@', '@', '@' },
/* A = '101 */	{ 0xc6, 0xc6, 'A', 'A', 'A', 'A' },
/* B = '102 */	{ 'B', 'B', 'B', 'B', 'B', 'B' },
/* C = '103 */	{ 0xa9, 0xa9, 'C', 'C', 'C', 'C' },
/* D = '104 */	{ 0xd0, 0xd0, 'D', 'D', 'D', 'D' },
/* E = '105 */	{ PS_OE, 0x152, 'E', 'E', 'E', 'E' },
/* F = '106 */	{ 0xaa, 0xaa, 'F', 'F', 'F', 'F' },
/* G = '107 */	{ 'G', 'G', 'G', 'G', 'G', 'G' },
/* H = '110 */	{ PS_hungarumlaut, 0x30b, 'H', 'H', 'H', 'H' },
/* I = '111 */	{ 'I', 'I', 'I', 'I', 'I', 'I' },
/* J = '112 */	{ 'J', 'J', 'J', 'J', 'J', 'J' },
/* K = '113 */	{ 'K', 'K', 'K', 'K', 'K', 'K' },
/* L = '114 */	{ PS_Lslash, 0x141, 'L', 'L', 'L', 'L' },
/* M = '115 */	{ 0xba, 0xba, 'M', 'M', 'M', 'M' },
/* N = '116 */	{ 'N', 'N', 'N', 'N', 'N', 'N' },
/* O = '117 */	{ 0xd8, 0xd8, 'O', 'O', 'O', 'O' },
/* P = '120 */	{ 0xb6, 0xb6, 'P', 'P', 'P', 'P' },
/* Q = '121 */	{ 'Q', 'Q', 'Q', 'Q', 'Q', 'Q' },
/* R = '122 */	{ 0xae, 0xae, 'R', 'R', 'R', 'R' },
/* S = '123 */	{ PS_Scaron, 0x160, 'S', 'S', 'S', 'S' },
/* T = '124 */	{ 0xde, 0xde, 'T', 'T', 'T', 'T' },
/* U = '125 */	{ 0xb5, 0xb5, 'U', 'U', 'U', 'U' },
/* V = '126 */	{ 'V', 'V', 'V', 'V', 'V', 'V' },
/* W = '127 */	{ 'W', 'W', 'W', 'W', 'W', 'W' },
/* X = '130 */	{ 0xd7, 0xd7, 'X', 'X', 'X', 'X' },
/* Y = '131 */	{ 0xa5, 0xa5, 'Y', 'Y', 'Y', 'Y' },
/* Z = '132 */	{ PS_Zcaron, 0x17d, 'Z', 'Z', 'Z', 'Z' },
/* [ = '133 */	{ '[', '[', '[', '[', '[', '[' },
/* \ = '134 */	{ '\\', '\\', '\\', '\\', '\\', '\\' },
/* ] = '135 */	{ ']', ']', ']', ']', ']', ']' },
/* ^ = '136 */	{ PS_circumflex, 0x302, '^', '^', '^', '^' },
/* _ = '137 */	{ 0xa0, 0xa0, '_', '_', '_', '_' },
/* ` = '140 */	{ PS_grave, 0x300, PS_undergrave, 0x316, '`', '`' },
/* a = '141 */	{ 0xe6, 0xe6, 'a', 'a', 'a', 'a' },
/* b = '142 */	{ PS_underline, 0x331, 0xb7, 0xb7, 'b', 'b' },
/* c = '143 */	{ PS_cedilla, 0x327, 'c', 'c', 'c', 'c' },
/* d = '144 */	{ PS_underdot, 0x323, 0xf0, 0xf0, 'd', 'd' },
/* e = '145 */	{ PS_oe, 0x153, 'e', 'e', 'e', 'e' },
/* f = '146 */	{ PS_florin, 0x192, 'f', 'f', 'f', 'f' },
/* g = '147 */	{ 'g', 'g', 'g', 'g', 'g', 'g' },
/* h = '150 */	{ 'h', 'h', 'h', 'h', 'h', 'h' },
/* i = '151 */	{ PS_dotlessi, 0x131, 'i', 'i', 'i', 'i' },
/* j = '152 */	{ 'j', 'j', 'j', 'j', 'j', 'j' },
/* k = '153 */	{ PS_ogonek, 0x328, 'k', 'k', 'k', 'k' },
/* l = '154 */	{ PS_lslash, 0x142, 'l', 'l', 'l', 'l' },
/* m = '155 */	{ PS_emdash, 0x2014, 'm', 'm', 'm', 'm' },
/* n = '156 */	{ PS_endash, 0x2013, 'n', 'n', 'n', 'n' },
/* o = '157 */	{ 0xb7, 0xb7, 'o', 'o', 'o', 'o' },
/* p = '160 */	{ PS_periodcentered, 0x0b7, 'p', 'p', 'p', 'p' },
/* q = '161 */	{ 'q', 'q', 'q', 'q', 'q', 'q' },
/* r = '162 */	{ PS_ring, 0x30a, 'r', 'r', 'r', 'r' },
/* s = '163 */	{ PS_scaron, 0x161, 's', 's', 's', 's' },
/* t = '164 */	{ 0xfe, 0xfe, 't', 't', 't', 't' },
/* u = '165 */	{ PS_breve, 0x306, PS_underbreve, 0x32e, 'u', 'u' },
/* v = '166 */	{ PS_caron, 0x30c, 'v', 'v', 'v', 'v' },
/* w = '167 */	{ 'w', 'w', 'w', 'w', 'w', 'w' },
/* x = '170 */	{ 0xe7, 0xe7, 'x', 'x', 'x', 'x' },
/* y = '171 */	{ 'y', 'y', 'y', 'y', 'y', 'y' },
/* z = '172 */	{ PS_zcaron, 0x17e, 'z', 'z', 'z', 'z' },
/* { = '173 */	{ '{', '{', '{', '{', '{', '{' },
/* | = '174 */	{ 0xa6, 0xa6, '|', '|', '|', '|' },
/* } = '175 */	{ '}', '}', '}', '}', '}', '}' },
/* ~ = '176 */	{ PS_tilde, 0x303, '~', '~', '~', '~' },
/* DEL = '177 */	{ 127, 127, 127, 127, 127, 127 },
};

unsigned char math_other[128][6] = {
/* ^@ = '000 */	{ 0, 0, 0, 0, 0, 0 },
/* ^A = '001 */	{ 1, 1, 1, 1, 1, 1 },
/* ^B = '002 */	{ 2, 2, 2, 2, 2, 2 },
/* ^C = '003 */	{ 3, 3, 3, 3, 3, 3 },
/* ^D = '004 */	{ 4, 4, 4, 4, 4, 4 },
/* ^E = '005 */	{ 5, 5, 5, 5, 5, 5 },
/* ^F = '006 */	{ 6, 6, 6, 6, 6, 6 },
/* ^G = '007 */	{ 7, 7, 7, 7, 7, 7 },
/* ^H = '010 */	{ 8, 8, 8, 8, 8, 8 },
/* ^I = '011 */	{ 9, 9, 9, 9, 9, 9 },
/* ^J = '012 */	{ 10, 10, 10, 10, 10, 10 },
/* ^K = '013 */	{ 11, 11, 11, 11, 11, 11 },
/* ^L = '014 */	{ 12, 12, 12, 12, 12, 12 },
/* ^M = '015 */	{ 13, 13, 13, 13, 13, 13 },
/* ^N = '016 */	{ 14, 14, 14, 14, 14, 14 },
/* ^O = '017 */	{ 15, 15, 15, 15, 15, 15 },
/* ^P = '020 */	{ 16, 16, 16, 16, 16, 16 },
/* ^Q = '021 */	{ 17, 17, 17, 17, 17, 17 },
/* ^R = '022 */	{ 18, 18, 18, 18, 18, 18 },
/* ^S = '023 */	{ 19, 19, 19, 19, 19, 19 },
/* ^T = '024 */	{ 20, 20, 20, 20, 20, 20 },
/* ^U = '025 */	{ 21, 21, 21, 21, 21, 21 },
/* ^V = '026 */	{ 22, 22, 22, 22, 22, 22 },
/* ^W = '027 */	{ 23, 23, 23, 23, 23, 23 },
/* ^X = '030 */	{ 24, 24, 24, 24, 24, 24 },
/* ^Y = '031 */	{ 25, 25, 25, 25, 25, 25 },
/* ^Z = '032 */	{ 26, 26, 26, 26, 26, 26 },
/* ^[ = '033 */	{ 27, 27, 27, 27, 27, 27 },
/* ^\ = '034 */	{ 28, 28, 28, 28, 28, 28 },
/* ^] = '035 */	{ 29, 29, 29, 29, 29, 29 },
/* ^^ = '036 */	{ 30, 30, 30, 30, 30, 30 },
/* ^_ = '037 */	{ 31, 31, 31, 31, 31, 31 },
/*   = '040 */	{ ' ', ' ', ' ', ' ', ' ', ' ' },
/* ! = '041 */	{ '!', '!', '!', '!', '!', '!' },
/* " = '042 */	{ '"', '"', '"', '"', '"', '"' },
/* # = '043 */	{ '#', '#', '#', '#', '#', '#' },
/* $ = '044 */	{ '$', '$', '$', '$', '$', '$' },
/* % = '045 */	{ '%', '%', '%', '%', '%', '%' },
/* & = '046 */	{ 0331, '&', '&', '&', '&', '&' },
/* ' = '047 */	{ '\'', '\'', '\'', '\'', '\'', '\'' },
/* ( = '050 */	{ 0346, 0347, 0350, '(', '(', '(' },
/* ) = '051 */	{ 0366, 0367, 0370, ')', ')', ')' },
/* * = '052 */	{ 0325, '*', '*', '*', '*', '*' },
/* + = '053 */	{ 0345, '+', '+', '+', '+', '+' },
/* , = '054 */	{ ',', ',', ',', ',', ',', ',' },
/* - = '055 */	{ '-', '-', '-', '-', '-', '-' },
/* . = '056 */	{ 0327, '.', '.', '.', '.', '.' },
/* / = '057 */	{ 0244, '/', '/', '/', '/', '/' },
/* 0 = '060 */	{ '0', '0', '0', '0', '0', '0' },
/* 1 = '061 */	{ '1', '1', '1', '1', '1', '1' },
/* 2 = '062 */	{ '2', '2', '2', '2', '2', '2' },
/* 3 = '063 */	{ '3', '3', '3', '3', '3', '3' },
/* 4 = '064 */	{ '4', '4', '4', '4', '4', '4' },
/* 5 = '065 */	{ '5', '5', '5', '5', '5', '5' },
/* 6 = '066 */	{ '6', '6', '6', '6', '6', '6' },
/* 7 = '067 */	{ '7', '7', '7', '7', '7', '7' },
/* 8 = '070 */	{ 0245, '8', '8', '8', '8', '8' },
/* 9 = '071 */	{ '9', '9', '9', '9', '9', '9' },
/* : = '072 */	{ ':', ':', ':', ':', ':', ':' },
/* ; = '073 */	{ ';', ';', ';', ';', ';', ';' },
/* < = '074 */	{ 0254, 0334, 0341, 0243, '<', '<' },
/* = = '075 */	{ 0253, 0333, 0100, '=', '=', '=' },
/* > = '076 */	{ 0256, 0336, 0361, '>', '>', '>' },
/* ? = '077 */	{ '?', '?', '?', '?', '?', '?' },
/* @ = '100 */	{ '@', '@', '@', '@', '@', '@' },
/* A = '101 */	{ 042, 'A', 'A', 'A', 'A', 'A' },
/* B = '102 */	{ 'B', 'B', 'B', 'B', 'B', 'B' },
/* C = '103 */	{ 'C', 'C', 'C', 'C', 'C', 'C' },
/* D = '104 */	{ 'D', 'D', 'D', 'D', 'D', 'D' },
/* E = '105 */	{ 044, 'E', 'E', 'E', 'E', 'E' },
/* F = '106 */	{ 'F', 'F', 'F', 'F', 'F', 'F' },
/* G = '107 */	{ 'G', 'G', 'G', 'G', 'G', 'G' },
/* H = '110 */	{ 'H', 'H', 'H', 'H', 'H', 'H' },
/* I = '111 */	{ 'I', 'I', 'I', 'I', 'I', 'I' },
/* J = '112 */	{ 'J', 'J', 'J', 'J', 'J', 'J' },
/* K = '113 */	{ 'K', 'K', 'K', 'K', 'K', 'K' },
/* L = '114 */	{ 'L', 'L', 'L', 'L', 'L', 'L' },
/* M = '115 */	{ 'M', 'M', 'M', 'M', 'M', 'M' },
/* N = '116 */	{ 'N', 'N', 'N', 'N', 'N', 'N' },
/* O = '117 */	{ 'O', 'O', 'O', 'O', 'O', 'O' },
/* P = '120 */	{ 'P', 'P', 'P', 'P', 'P', 'P' },
/* Q = '121 */	{ 'Q', 'Q', 'Q', 'Q', 'Q', 'Q' },
/* R = '122 */	{ 'R', 'R', 'R', 'R', 'R', 'R' },
/* S = '123 */	{ 'S', 'S', 'S', 'S', 'S', 'S' },
/* T = '124 */	{ 'T', 'T', 'T', 'T', 'T', 'T' },
/* U = '125 */	{ 0241, 'U', 'U', 'U', 'U', 'U' },
/* V = '126 */	{ 'V', 'V', 'V', 'V', 'V', 'V' },
/* W = '127 */	{ 'W', 'W', 'W', 'W', 'W', 'W' },
/* X = '130 */	{ 'X', 'X', 'X', 'X', 'X', 'X' },
/* Y = '131 */	{ 'Y', 'Y', 'Y', 'Y', 'Y', 'Y' },
/* Z = '132 */	{ 'Z', 'Z', 'Z', 'Z', 'Z', 'Z' },
/* [ = '133 */	{ 0351, 0352, 0353, '[', '[', '[' },
/* \ = '134 */	{ '\\', '\\', '\\', '\\', '\\', '\\' },
/* ] = '135 */	{ 0371, 0372, 0373, ']', ']', ']' },
/* ^ = '136 */	{ 0255, 0335, '^', '^', '^', '^' },
/* _ = '137 */	{ '_', '_', '_', '_', '_', '_' },
/* ` = '140 */	{ '`', '`', '`', '`', '`', '`' },
/* a = '141 */	{ 0320, 'a', 'a', 'a', 'a', 'a' },
/* b = '142 */	{ 'b', 'b', 'b', 'b', 'b', 'b' },
/* c = '143 */	{ 0343, 'c', 'c', 'c', 'c', 'c' },
/* d = '144 */	{ 'd', 'd', 'd', 'd', 'd', 'd' },
/* e = '145 */	{ 0316, 0317, 047, 'e', 'e', 'e' },
/* f = '146 */	{ 0246, 'f', 'f', 'f', 'f', 'f' },
/* g = '147 */	{ 0321, 'g', 'g', 'g', 'g', 'g' },
/* h = '150 */	{ 'h', 'h', 'h', 'h', 'h', 'h' },
/* i = '151 */	{ 'i', 'i', 'i', 'i', 'i', 'i' },
/* j = '152 */	{ 'j', 'j', 'j', 'j', 'j', 'j' },
/* k = '153 */	{ 'k', 'k', 'k', 'k', 'k', 'k' },
/* l = '154 */	{ 'l', 'l', 'l', 'l', 'l', 'l' },
/* m = '155 */	{ 0242, 'm', 'm', 'm', 'm', 'm' },
/* n = '156 */	{ 'n', 'n', 'n', 'n', 'n', 'n' },
/* o = '157 */	{ 0340, 'o', 'o', 'o', 'o', 'o' },
/* p = '160 */	{ 0136, 'p', 'p', 'p', 'p', 'p' },
/* q = '161 */	{ 'q', 'q', 'q', 'q', 'q', 'q' },
/* r = '162 */	{ 0326, 0342, 'r', 'r', 'r', 'r' },
/* s = '163 */	{ 's', 's', 's', 's', 's', 's' },
/* t = '164 */	{ 0134, 0344, 't', 't', 't', 't' },
/* u = '165 */	{ 'u', 'u', 'u', 'u', 'u', 'u' },
/* v = '166 */	{ 0332, 'v', 'v', 'v', 'v', 'v' },
/* w = '167 */	{ 'w', 'w', 'w', 'w', 'w', 'w' },
/* x = '170 */	{ 'x', 'x', 'x', 'x', 'x', 'x' },
/* y = '171 */	{ 'y', 'y', 'y', 'y', 'y', 'y' },
/* z = '172 */	{ 'z', 'z', 'z', 'z', 'z', 'z' },
/* { = '173 */	{ 0354, 0355, 0356, 0357, '{', '{' },
/* | = '174 */	{ 0362, 0363, 0364, 0365, '|', '|' },
/* } = '175 */	{ 0374, 0375, 0376, '}', '}', '}' },
/* ~ = '176 */	{ 0330, '~', '~', '~', '~', '~' },
/* DEL = '177 */	{ 127, 127, 127, 127, 127, 127 }
};
